commit:     aa008f367d4f852347ee4b5075693bda288ad4f6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 23 13:37:39 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 30 18:05:06 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa008f36

dev-python/gst-python: add 1.22.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/gst-python/Manifest                 |  1 +
 dev-python/gst-python/gst-python-1.22.3.ebuild | 63 ++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/gst-python/Manifest b/dev-python/gst-python/Manifest
index 348ce7b2b770..17dc0c610991 100644
--- a/dev-python/gst-python/Manifest
+++ b/dev-python/gst-python/Manifest
@@ -1,3 +1,4 @@
 DIST gst-python-1.20.3.tar.xz 155504 BLAKE2B 
2991f106a53da6e968bdbf2b081c464e92902e4b5ed57e7a14ef1c1556ba18d2e63f4402e703953513f68c36405478b0da05f283602f564bec16cbe72b9e686f
 SHA512 
987b444d78b5fb206457245b46b843db9372f9bd316abc57ecd8d50488ef734707a08ac88a9b9d58e2db113e67ce5b524aad82c0086471494c2177c2e272de6e
 DIST gst-python-1.20.4.tar.xz 158816 BLAKE2B 
cf163882a63db3ef4b9bf5910653a2f0fe5a911f4002b5706aeeef1dae14b6a5bcd0dca17889424c91874bd7e787c137b4d1bbe30471593b0bd01cb116ade294
 SHA512 
1eaf02dd2733c31eec45d999a23c3e35ff7ab71ef88524cb0aac666a7d2972fa7cd49528d7f3e32364c6a3d7386e14b6b4e43c6d607b751938a0345f3c540260
 DIST gst-python-1.20.5.tar.xz 161508 BLAKE2B 
6f34e913e9770d729722f2bcfd18ba4aa9355583e31a5284710ec5584a52fb4c1c4fcfb469528c6e187a8da6dbdc6b35e8a9c382791a95b3617d86d2cdc35fd5
 SHA512 
4ca6ad292aba24600427f059b278e4245167352a24832209201bd6e201430187ba2028795ea78fc4cbc7a6bf47f8749c8bf4ecdd790d15152d0cb0f2007afd25
+DIST gst-python-1.22.3.tar.xz 107336 BLAKE2B 
f34a4227aa30979c1c4220c89a0ab45268f3343115ae7f611b26893277385fc5b95b16c01f446759a96af06ab6739b7ff5873a2bc3151231ae0e6c348bd90b73
 SHA512 
92b31d1d38561bc6f1f31bb5d6cbd90226a960056cbe91fe4c177b0507f9bd635fc4c558a44984d578d2e413efac74a915f4066ec0875f69894819e4ffa3b114

diff --git a/dev-python/gst-python/gst-python-1.22.3.ebuild 
b/dev-python/gst-python/gst-python-1.22.3.ebuild
new file mode 100644
index 000000000000..c9cf1c309666
--- /dev/null
+++ b/dev-python/gst-python/gst-python-1.22.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit meson python-r1 xdg-utils
+
+DESCRIPTION="A Python Interface to GStreamer"
+HOMEPAGE="https://gstreamer.freedesktop.org/";
+SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2+"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=media-libs/gstreamer-${PV}:1.0[introspection]
+       >=media-libs/gst-plugins-base-${PV}:1.0[introspection]
+       >=dev-python/pygobject-3.8:3[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       # Avoid building & testing plugin - it must NOT be multi-python as 
gst-inspect will map in all libpython.so versions and crash or behave 
mysteriously.
+       # Python plugin support is of limited use (GIL gets in the way). If 
it's ever requested or needed, it should be a
+       # separate python-single-r1 media-plugins/gst-plugins-python package 
that only builds the plugin directory.
+       sed -e '/subdir.*plugin/d' -i meson.build || die
+       sed -e '/test_plugin.py/d' -i testsuite/meson.build || die
+
+       xdg_environment_reset
+}
+
+src_configure() {
+       configuring() {
+               meson_src_configure \
+                       -Dpython="${EPYTHON}"
+       }
+       python_foreach_impl configuring
+}
+
+src_compile() {
+       python_foreach_impl meson_src_compile
+}
+
+src_test() {
+       python_foreach_impl meson_src_test
+}
+
+src_install() {
+       installing() {
+               meson_src_install
+               python_optimize
+       }
+       python_foreach_impl installing
+}

Reply via email to